import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra user recyclebinitem remove

Removes a user from the recycle bin in the current tenant

## Usage

```sh
m365 entra user recyclebinitem remove [options]
```

## Options

```md definition-list
`--id <id>`
: ID of the deleted user.

`-f, --force`
: Don't prompt for confirmation.
```

<Global />

## Remarks

:::info

To use this command you must be a Global administrator, User administrator or Privileged Authentication administrator.

:::

:::note

After running this command, it may take a minute before the deleted user is effectively removed from the tenant.

:::

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions            |
  |-----------------|------------------------|
  | Microsoft Graph | User.DeleteRestore.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions            |
  |-----------------|------------------------|
  | Microsoft Graph | User.DeleteRestore.All |

  </TabItem>
</Tabs>

## Examples

Removes a specific user from the recycle bin.

```sh
m365 entra user recyclebinitem remove --id 59f80e08-24b1-41f8-8586-16765fd830d3
```

Removes a specific user from the recycle bin without confirmation prompt.

```sh
m365 entra user recyclebinitem remove --id 59f80e08-24b1-41f8-8586-16765fd830d3 --force
```

## Response

The command won't return a response on success.
